Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class PermissionImpl

    java.lang.Object
      weblogic.security.acl.PermissionImpl

All Implemented Interfaces:
  Serializable, Permission

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

    public final class PermissionImpl

extends Object
implements Permission, Serializable

A straightforward implementation of the Permission interface, which represents a permission, such as that used to grant a particular type of access to a resource.

See Also:
  Serialized Form

Constructor Summary
`PermissionImpl(String name)` Deprecated. Creates a permission of that name.

Method Summary
`boolean` | `equals(Object other)` Deprecated. Determines whether the object passed matches the permission represented in this interface.
`String` | `getName()` Deprecated. Returns the name of a Permission.
`int` | `hashCode()` Deprecated. Returns a hashcode for a Permission.
`String` | `toString()` Deprecated. Prints a string representation of this permission.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PermissionImpl

    public PermissionImpl(String name)

  Deprecated.
  Creates a permission of that name.

  Parameters:
    `name` - Name assigned to the permission

Method Detail

### equals

    public boolean equals(Object other)

  Deprecated.
  Determines whether the object passed matches the permission represented in this interface.

  Specified by:
    `equals` in interface `Permission`
  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - Permission object to compare with
  Returns:
    true if the Permission objects are equal

### hashCode

    public int hashCode()

  Deprecated.
  Returns a hashcode for a Permission.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    Hashcode

### toString

    public String toString()

  Deprecated.
  Prints a string representation of this permission.

  Specified by:
    `toString` in interface `Permission`
  Overrides:
    `toString` in class `Object`
  Returns:
    String representation

### getName

    public String getName()

  Deprecated.
  Returns the name of a Permission.

  Returns:
    Name assigned to the permission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD